Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037999
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminoralways2018-02-26 11:552018-11-22 09:40
ReporteregoitzView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037999: Performance issue opening a window with hundreds of fields distributed on different tabs.

DescriptionThe request to the view component that builds the window when opening a window takes long if there are hundreds (>600) of fields on different tabs.
Steps To ReproduceCreate many new fiedls on the Sales invoice window and open the window.
The execution takes arround 10 seconds.
Proposed SolutionAfter fix 0038066 this issue is less severe. Moved to design defect as a important performance refactor needs to be done in order to improve view generation.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031696 closedplatform unneeded queries to OBUIAPP_GC_System when generating views 
related to design defect 0039670 closedalostale view generation scalability issues 
related to defect 0038066 closedalostale incorrect view cache in browser for windows with server display logic 

-  Notes
(0102892)
egoitz (developer)
2018-03-01 09:16

With the following index one second is reduced but it is not enough:

CREATE INDEX ad_field_trl_field
  ON ad_field_trl
  USING btree
  (ad_field_id COLLATE pg_catalog."default");
(0102904)
shuehner (administrator)
2018-03-01 16:41

Hello,
pi already has this:
    "ad_field_trl_field_language_un" UNIQUE CONSTRAINT, btree (ad_field_id, ad_l

unique constraint which has automatically and index which should work the same.

Given that the new proposed index should not be needed in theory
(0103054)
egoitz (developer)
2018-03-07 12:50

The view is created the first time after the login but not on next times that the window is opened.
after logout and login the view is created again?
Could be possible to cache that on the browser or at applicatoin level?
(0108051)
alostale (developer)
2018-11-22 09:40

Fixed by 0039670

- Issue History
Date Modified Username Field Change
2018-02-26 11:55 egoitz New Issue
2018-02-26 11:55 egoitz Assigned To => platform
2018-02-26 11:55 egoitz Modules => Core
2018-02-26 11:55 egoitz Triggers an Emergency Pack => No
2018-03-01 09:16 egoitz Note Added: 0102892
2018-03-01 09:16 egoitz Severity minor => major
2018-03-01 09:16 egoitz Proposed Solution updated
2018-03-01 16:41 shuehner Note Added: 0102904
2018-03-07 12:50 egoitz Note Added: 0103054
2018-03-07 18:09 egoitz Relationship added related to 0038066
2018-03-09 10:40 alostale Relationship added related to 0031696
2018-03-09 13:21 alostale Severity major => minor
2018-03-09 13:21 alostale Status new => acknowledged
2018-03-09 13:21 alostale Type defect => design defect
2018-03-09 13:21 alostale Proposed Solution updated
2018-11-22 09:12 alostale Relationship added related to 0039670
2018-11-22 09:39 alostale Status acknowledged => scheduled
2018-11-22 09:40 alostale Note Added: 0108051
2018-11-22 09:40 alostale Status scheduled => closed
2018-11-22 09:40 alostale Resolution open => fixed
2018-11-22 09:40 alostale Fixed in Version => 3.0PR19Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker